LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 11-24-2004, 05:01 AM   #1
grayram
Member
 
Registered: Aug 2004
Location: Philippines
Distribution: Fedora Core 5
Posts: 35

Rep: Reputation: 15
No acceptable cc found in $PATH ???


I'm getting these errors whenever I try installing something:

Code:
[root@xeon icecast-1.3.7]# ./configure
loading cache ./config.cache
Building icecast-1.3.7...
checking for a BSD compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... yes
checking for working aclocal... missing
checking for working autoconf... missing
checking for working automake... missing
checking for working autoheader... missing
checking for working makeinfo... missing
checking whether to enable maintainer-specific portions of Makefiles... no
checking for ranlib... :
checking for gcc... no
checking for cc... no
configure: error: no acceptable cc found in $PATH
Life today is getting complicated as Bill's doomsday comes...
 
Old 11-24-2004, 05:22 AM   #2
rjlee
Senior Member
 
Registered: Jul 2004
Distribution: Ubuntu 7.04
Posts: 1,990

Rep: Reputation: 69
You do not seem to have any development tools installed.
You will not be able to compile a source program without a compiler; usually gcc is used together with automake, autoconf, makeinfo etc.

You haven't said your distro, so I can't give you instructions on installing these. Most major distros (except SuSE personal) ship these on the CDs, but you can also download them (eg from www.rpmfind.net for RPM files). It's usually easier (faster) to try and install prepackaged files like .RPMs and .DEBs using your distro's install tool, rather than compiling from source (unless, of course, you want to change things in the source code).
 
Old 11-24-2004, 09:48 PM   #3
grayram
Member
 
Registered: Aug 2004
Location: Philippines
Distribution: Fedora Core 5
Posts: 35

Original Poster
Rep: Reputation: 15
Thanks for the reply.

I got a Fedora 1 running as a remote server. It has no GUI so we do everything in the console. I just downloaded gcc 3.4.1 but do not know how to install it.

Can you guide me on how to do this. I'm a baby when it comes to Linux although Im considering migrating completely to it.

Thanks.

Last edited by grayram; 11-24-2004 at 09:51 PM.
 
Old 11-24-2004, 09:52 PM   #4
btmiller
Senior Member
 
Registered: May 2004
Location: In the DC 'burbs
Distribution: Arch, Scientific Linux, Debian, Ubuntu
Posts: 4,275

Rep: Reputation: 370Reputation: 370Reputation: 370Reputation: 370
You'll need to download the gcc RPM file from one of the mirrors, then it's "rpm -ivh <RPM file>".
 
Old 11-24-2004, 09:56 PM   #5
grayram
Member
 
Registered: Aug 2004
Location: Philippines
Distribution: Fedora Core 5
Posts: 35

Original Poster
Rep: Reputation: 15
Did it. Got this:

Code:
# rpm -ivh gcc-3.4.1.tar.gz
   gcc-3.4.1.tar.gz: not an rpm package (or package manifest):
My fault. I'm dumb. Linux hard. Need help.

End message.

(Sounds like a telegraph...)
 
Old 11-24-2004, 11:27 PM   #6
btmiller
Senior Member
 
Registered: May 2004
Location: In the DC 'burbs
Distribution: Arch, Scientific Linux, Debian, Ubuntu
Posts: 4,275

Rep: Reputation: 370Reputation: 370Reputation: 370Reputation: 370
You need to download the RPM package for your distro. Looks like you got the tar.gz of the source. Unfortunately, you can't install gcc from source, because you need a C compiler to compile gcc (sounds strange, doesn't it?). As I said, check your install CDs for the RPM or download from one of the mirrors. "yum install gcc" should also work, if you have Yum configured.
 
Old 11-25-2004, 12:48 AM   #7
grayram
Member
 
Registered: Aug 2004
Location: Philippines
Distribution: Fedora Core 5
Posts: 35

Original Poster
Rep: Reputation: 15
I get it now. I need to get to install the installer. Wow! This is circular sylogism.


OK. These are the gcc files I found from the Fedora Core 1 installer:

gcc-3.3.2-1.i386.rpm
gcc32-3.2.3-6.i386.rpm
gcc-c++-3.3.2-1.i386.rpm
gcc-g77-3.3.2-1.i386.rpm
gcc-gnat-3.3.2-1.i386.rpm
gcc-java-3.3.2-1.i386.rpm
gcc-objc-3.3.2-1.i386.rpm

What file should I use?

I tried:
Code:
# rpm -ivh gcc32-3.2.3-6.i386.rpm
warning: gcc32-3.2.3-6.i386.rpm: V3 DSA signature: NOKEY, key ID 4f2a6fd2
error: Failed dependencies:
        binutils >= 2.12.90.0.20-1 is needed by gcc32-3.2.3-6
        glibc-devel >= 2.2.90-12 is needed by gcc32-3.2.3-6
    Suggested resolutions:
        binutils-2.14.90.0.6-3.i386.rpm
        glibc-devel-2.3.2-101.i386.rpm
Oops more errors...

I hope and know that one day it will be as easy as Windows...

Last edited by grayram; 11-26-2004 at 01:56 AM.
 
Old 11-25-2004, 01:41 AM   #8
btmiller
Senior Member
 
Registered: May 2004
Location: In the DC 'burbs
Distribution: Arch, Scientific Linux, Debian, Ubuntu
Posts: 4,275

Rep: Reputation: 370Reputation: 370Reputation: 370Reputation: 370
In this case the solution is simple -- install the binutils and glibc-devel packages off the CD. You might find it worth your while to configure Yum to do automagic dependency resolution (Google on Yum for more info).
 
Old 11-25-2004, 01:43 AM   #9
grayram
Member
 
Registered: Aug 2004
Location: Philippines
Distribution: Fedora Core 5
Posts: 35

Original Poster
Rep: Reputation: 15
I'll do that. I really appreciate your patience BTMiller. I'll go download those stuff...
 
Old 11-25-2004, 01:54 AM   #10
grayram
Member
 
Registered: Aug 2004
Location: Philippines
Distribution: Fedora Core 5
Posts: 35

Original Poster
Rep: Reputation: 15
I got

Code:
yum-2.0.4-2.noarch.rpm.
Is this the one?
 
Old 11-25-2004, 03:13 AM   #11
grayram
Member
 
Registered: Aug 2004
Location: Philippines
Distribution: Fedora Core 5
Posts: 35

Original Poster
Rep: Reputation: 15
I managed to install yum. It worked and downloaded the necessary files. I did:

Code:
yum install gcc
Output is below:

Code:
# yum install gcc
Gathering header information file(s) from server(s)
Server: Fedora Core 1 - i386 - Base
Server: Fedora Core 1 - i386 - Released Updates
Finding updated packages
Downloading needed headers
samba-client-0-3.0.7-2.FC 100% |=========================|  11 kB    00:00
vim-minimal-1-6.2.532-1.i 100% |=========================| 7.1 kB    00:00
kudzu-0-1.1.36.3-1.i386.h 100% |=========================|  11 kB    00:00
lha-0-1.14i-12.2.i386.hdr 100% |=========================| 2.2 kB    00:00
vim-common-1-6.2.532-1.i3 100% |=========================|  36 kB    00:01
php-mysql-0-4.3.8-1.1.i38 100% |=========================| 5.3 kB    00:00
samba-0-3.0.7-2.FC1.i386. 100% |=========================|  30 kB    00:03
tzdata-0-2004b-1.fc1.noar 100% |=========================|  28 kB    00:03
libpng-2-1.2.5-7.i386.hdr 100% |=========================| 3.8 kB    00:00
squid-7-2.5.STABLE3-2.fc1 100% |=========================|  29 kB    00:01
libpcap-14-0.7.2-8.fc1.2. 100% |=========================| 5.2 kB    00:00
apr-0-0.9.4-2.1.i386.hdr  100% |=========================| 2.4 kB    00:00
rsync-0-2.5.7-5.fc1.1.i38 100% |=========================| 3.9 kB    00:00
php-pgsql-0-4.3.8-1.1.i38 100% |=========================| 5.4 kB    00:00
apr-util-0-0.9.4-2.1.i386 100% |=========================| 2.1 kB    00:00
iproute-0-2.4.7-13.2.i386 100% |=========================| 4.4 kB    00:00
samba-common-0-3.0.7-2.FC 100% |=========================|  11 kB    00:03
php-0-4.3.8-1.1.i386.hdr  100% |=========================|  12 kB    00:00
vsftpd-0-1.2.1-4.fc1.i386 100% |=========================| 4.2 kB    00:00
cvs-0-1.11.17-1.i386.hdr  100% |=========================| 6.2 kB    00:00
mc-1-4.6.0-17.fc1.i386.hd 100% |=========================|  12 kB    00:00
tcpdump-14-3.7.2-8.fc1.2. 100% |=========================| 5.1 kB    00:00
httpd-0-2.0.50-1.0.i386.h 100% |=========================|  16 kB    00:01
krb5-libs-0-1.3.4-5.i386. 100% |=========================| 8.8 kB    00:00
kernel-0-2.4.22-1.2199.np 100% |=========================|  43 kB    00:04
gimp-devel-1-1.2.5-2.i386 100% |=========================| 6.6 kB    00:00
neon-devel-0-0.24.5-2.1.i 100% |=========================| 6.5 kB    00:00
php-mbstring-0-4.3.8-1.1. 100% |=========================| 5.2 kB    00:00
imlib-cfgeditor-1-1.9.13- 100% |=========================| 2.8 kB    00:00
kernel-smp-0-2.4.22-1.219 100% |=========================|  43 kB    00:04
squirrelmail-0-1.4.3-0.f1 100% |=========================|  27 kB    00:01
cdda2wav-8-2.01-0.a19.2.F 100% |=========================| 4.1 kB    00:00
ethereal-0-0.10.5-0.1.1.i 100% |=========================| 7.5 kB    00:00
apr-util-devel-0-0.9.4-2. 100% |=========================| 7.4 kB    00:00
cdrecord-8-2.01-0.a19.2.F 100% |=========================| 5.8 kB    00:00
qt-MySQL-1-3.1.2-14.2.i38 100% |=========================| 8.6 kB    00:00
expectk-0-5.39.0-96.0.1.i 100% |=========================| 6.9 kB    00:00
kdebase-devel-6-3.1.4-7.i 100% |=========================|  15 kB    00:01
ghostscript-0-7.07-15.4.i 100% |=========================|  30 kB    00:02
imlib-1-1.9.13-15.fc1.i38 100% |=========================| 3.9 kB    00:00
gdk-pixbuf-1-0.22.0-11.3. 100% |=========================| 5.1 kB    00:00
ghostscript-gtk-0-7.07-15 100% |=========================| 6.2 kB    00:00
tk-devel-0-8.3.5-96.0.1.i 100% |=========================|  14 kB    00:01
php-odbc-0-4.3.8-1.1.i386 100% |=========================| 5.3 kB    00:00
gtk2-0-2.2.4-10.i386.hdr  100% |=========================|  13 kB    00:00
qt-ODBC-1-3.1.2-14.2.i386 100% |=========================| 8.6 kB    00:00
tcllib-0-1.3-96.0.1.i386. 100% |=========================|  14 kB    00:00
kdepim-6-3.1.4-2.i386.hdr 100% |=========================|  20 kB    00:01
sox-0-12.17.4-4.fc1.i386. 100% |=========================| 3.1 kB    00:00
tcl-html-0-8.3.5-96.0.1.i 100% |=========================|  18 kB    00:01
krb5-server-0-1.3.4-5.i38 100% |=========================|  10 kB    00:00
tcl-devel-0-8.3.5-96.0.1. 100% |=========================|  17 kB    00:00
kernel-BOOT-0-2.4.22-1.21 100% |=========================|  24 kB    00:01
php-devel-0-4.3.8-1.1.i38 100% |=========================|  12 kB    00:00
gaim-1-0.82-0.FC1.i386.hd 100% |=========================|  20 kB    00:00
httpd-devel-0-2.0.50-1.0. 100% |=========================| 6.9 kB    00:00
gimp-1-1.2.5-2.i386.hdr   100% |=========================|  46 kB    00:04
php-domxml-0-4.3.8-1.1.i3 100% |=========================| 5.3 kB    00:01
desktop-file-utils-0-0.3- 100% |=========================| 2.2 kB    00:00
subversion-0-0.32.1-5.i38 100% |=========================| 9.1 kB    00:00
ghostscript-devel-0-7.07- 100% |=========================| 6.5 kB    00:00
abiword-1-2.0.1-2.i386.hd 100% |=========================|  24 kB    00:01
qt-devel-1-3.1.2-14.2.i38 100% |=========================| 142 kB    00:12
gdk-pixbuf-gnome-1-0.22.0 100% |=========================| 3.2 kB    00:00
apr-devel-0-0.9.4-2.1.i38 100% |=========================| 9.2 kB    00:00
qt-designer-1-3.1.2-14.2. 100% |=========================| 9.3 kB    00:00
subversion-devel-0-0.32.1 100% |=========================| 4.3 kB    00:00
arpwatch-14-2.1a11-8.fc1. 100% |=========================| 5.9 kB    00:00
recode-0-3.6-12.0.i386.hd 100% |=========================| 2.9 kB    00:00
kernel-smp-0-2.4.22-1.219 100% |=========================|  43 kB    00:01
dovecot-0-0.99.10.5-0.FC1 100% |=========================| 4.4 kB    00:00
php-ldap-0-4.3.8-1.1.i386 100% |=========================| 5.4 kB    00:00
qt-1-3.1.2-14.2.i386.hdr  100% |=========================| 9.7 kB    00:00
kernel-source-0-2.4.22-1. 100% |=========================| 396 kB    00:33
gimp-perl-1-1.2.5-2.i386. 100% |=========================| 8.9 kB    00:00
kernel-doc-0-2.4.22-1.219 100% |=========================|  26 kB    00:04
expect-0-5.39.0-96.0.1.i3 100% |=========================| 8.3 kB    00:01
qt-PostgreSQL-1-3.1.2-14. 100% |=========================| 8.6 kB    00:00
gdk-pixbuf-devel-1-0.22.0 100% |=========================| 4.8 kB    00:00
tk-0-8.3.5-96.0.1.i386.hd 100% |=========================|  11 kB    00:00
mod_ssl-1-2.0.50-1.0.i386 100% |=========================| 5.4 kB    00:00
mkisofs-8-2.01-0.a19.2.FC 100% |=========================| 4.8 kB    00:01
php-xmlrpc-0-4.3.8-1.1.i3 100% |=========================| 5.2 kB    00:00
openssl-0-0.9.7a-33.10.i3 100% |=========================| 8.9 kB    00:00
kernel-0-2.4.22-1.2199.np 100% |=========================|  43 kB    00:02
libpng10-0-1.0.15-7.i386. 100% |=========================| 2.8 kB    00:00
kdelibs-6-3.1.4-7.i386.hd 100% |=========================| 104 kB    00:04
krb5-devel-0-1.3.4-5.i386 100% |=========================|  11 kB    00:00
recode-devel-0-3.6-12.0.i 100% |=========================| 1.9 kB    00:00
kdepim-devel-6-3.1.4-2.i3 100% |=========================| 5.2 kB    00:00
mod_dav_svn-0-0.32.1-5.i3 100% |=========================| 2.7 kB    00:00
vim-X11-1-6.2.532-1.i386. 100% |=========================| 7.6 kB    00:00
neon-0-0.24.5-2.1.i386.hd 100% |=========================| 2.5 kB    00:00
expect-devel-0-5.39.0-96. 100% |=========================| 7.0 kB    00:01
tix-1-8.1.4-96.0.1.i386.h 100% |=========================|  25 kB    00:03
strace-0-4.5.4-0.FC1.i386 100% |=========================| 3.8 kB    00:00
ethereal-gnome-0-0.10.5-0 100% |=========================| 4.2 kB    00:00
libpng-devel-2-1.2.5-7.i3 100% |=========================| 3.8 kB    00:00
mailman-3-2.1.5-6.i386.hd 100% |=========================|  63 kB    00:05
hpijs-0-1.5-4.4.i386.hdr  100% |=========================| 6.5 kB    00:01
itcl-0-3.2-96.0.1.i386.hd 100% |=========================|  28 kB    00:03
kdebase-6-3.1.4-7.i386.hd 100% |=========================| 101 kB    00:09
samba-swat-0-3.0.7-2.FC1. 100% |=========================|  25 kB    00:01
kernel-0-2.4.22-1.2199.np 100% |=========================|  42 kB    00:02
php-imap-0-4.3.8-1.1.i386 100% |=========================| 5.5 kB    00:00
kudzu-devel-0-1.1.36.3-1. 100% |=========================| 9.5 kB    00:00
Resolving dependencies
...Dependencies resolved
I will do the following:
[install: gcc 3.3.2-1.i386]
I will install/upgrade these to satisfy the dependencies:
[deps: binutils 2.14.90.0.6-4.i386]
[deps: glibc-kernheaders 2.4-8.36.i386]
[deps: glibc-devel 2.3.2-101.4.i386]
[deps: cpp 3.3.2-1.i386]
[deps: glibc-headers 2.3.2-101.4.i386]
Is this ok [y/N]: y
Getting binutils-2.14.90.0.6-4.i386.rpm
binutils-2.14.90.0.6-4.i3 100% |=========================| 2.7 MB    03:32
Getting glibc-kernheaders-2.4-8.36.i386.rpm
glibc-kernheaders-2.4-8.3 100% |=========================| 826 kB    01:03
Getting gcc-3.3.2-1.i386.rpm
gcc-3.3.2-1.i386.rpm      100% |=========================| 3.5 MB    04:57
Getting glibc-devel-2.3.2-101.4.i386.rpm
glibc-devel-2.3.2-101.4.i 100% |=========================| 1.8 MB    02:21
Getting cpp-3.3.2-1.i386.rpm
cpp-3.3.2-1.i386.rpm      100% |=========================| 1.3 MB    01:49
Getting glibc-headers-2.3.2-101.4.i386.rpm
glibc-headers-2.3.2-101.4 100% |=========================| 507 kB    00:49
Running test transaction:
Test transaction complete, Success!
cpp 100 % done 1/6
glibc-kernheaders 100 % done 2/6
glibc-headers 100 % done 3/6
glibc-devel 100 % done 4/6
binutils 100 % done 5/6
gcc 100 % done 6/6
Installed:  gcc 3.3.2-1.i386
Dep Installed:  binutils 2.14.90.0.6-4.i386 glibc-kernheaders 2.4-8.36.i386 glibc-devel 2.3.2-101.4.i386 cpp 3.3.2-1.i386 glibc-headers 2.3.2-101.4.i386
Transaction(s) Complete
.. tears of joy after that.

But ./configure doesnt work anymore:

Code:
# ./configure
-bash: ./configure: No such file or directory
What could have gone worng this time. I can see I'm learning many things out of these errors. Hoping to learn more. But right now: Help!!!!!
 
Old 11-25-2004, 03:25 AM   #12
MasterC
LQ Guru
 
Registered: Mar 2002
Location: Salt Lake City, UT - USA
Distribution: Gentoo ; LFS ; Kubuntu
Posts: 12,612

Rep: Reputation: 64
Wow, that is certainly a lot of files!

Make sure you are in the directory where the configure script is, and also make sure it's still an executable file. How? When you find the directory, if you:
ls -lh
It will list the bits that are given to each file, and if the 'x' bit is set on that file, then you are good to go.

Cool
 
Old 11-26-2004, 05:16 AM   #13
MasterC
LQ Guru
 
Registered: Mar 2002
Location: Salt Lake City, UT - USA
Distribution: Gentoo ; LFS ; Kubuntu
Posts: 12,612

Rep: Reputation: 64
Split into a new topic in the software forum
http://www.linuxquestions.org/questi...hreadid=259445

Cool
 
Old 11-26-2004, 05:32 AM   #14
grayram
Member
 
Registered: Aug 2004
Location: Philippines
Distribution: Fedora Core 5
Posts: 35

Original Poster
Rep: Reputation: 15
ok. thanks guys for the help.
 
Old 12-16-2004, 07:24 PM   #15
guyfromcanada
LQ Newbie
 
Registered: May 2004
Location: B.C. Canada
Posts: 29

Rep: Reputation: 15
Question

I'm also having the same problem with SuSE Linux 9.1. Here's what i get.

Quote:
user # ./configure
creating cache ./config.cache
checking for a BSD compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... no
checking for working aclocal... missing
checking for working autoconf... missing
checking for working automake... missing
checking for working autoheader... missing
checking for working makeinfo... missing
checking whether to enable maintainer-specific portions of Makefiles... no
checking host system type... i686-pc-linux-gnu
checking for cups-config... no
checking whether to build CUPS driver... no
checking whether to build translated CUPS PPD files... yes
checking whether to use level 3 PostScript... no
checking whether to build ghostscript driver... no
checking for foomatic-configure... no
checking whether to build foomatic data files... no
checking for foomatic-ppdfile... no
checking whether to make use of Foomatic 3.x features... no
checking whether to use the old numerical Foomatic printer IDs... no
checking for ijs-config... /usr/bin/ijs-config
checking whether to build IJS driver... yes
checking whether to turn on debugging in build... no
checking whether to use readline... yes
checking for gimptool-1.2... no
checking for gimptool... /opt/gnome/bin/gimptool
checking whether to build GIMP plugin... no
checking whether to install sample images... yes
checking whether to install user guide... yes
checking whether to build escputil... yes
checking whether to build testpattern generator... no
checking whether to build test programs... no
checking if user install is enabled... no
checking for strerror in -lcposix... no
checking for mawk... no
checking for gawk... gawk
checking for gcc... no
checking for cc... no
configure: error: no acceptable cc found in $PATH
I have gcc installed, but i can't find it using find.

Quote:
find / -name gcc
find: /media/cdrom: No medium found
find: /media/cdrecorder: No medium found
find: /media/floppy: No medium found
is all I got. Please help.

Thanks,
Nathan
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
no acceptable C compiler found in $PATH sinXposed Linux - Software 4 08-10-2006 03:14 PM
no acceptable C compiler found in $PATH agentdunken SUSE / openSUSE 12 07-13-2005 04:41 PM
no acceptable C compiler found in $PATH AL MOSLEM Programming 19 02-08-2005 11:03 AM
no acceptable cc found in $path HELP PLEASE!! bond82 Linux - Software 3 08-26-2004 05:32 PM
no acceptable cc found in $PATH brewhaha Linux - Software 3 07-03-2002 06:55 PM


All times are GMT -5. The time now is 06:24 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration